#include <iostream>
using namespace std;
int myXOR(int x, int y)
{
    int res = 0;
    for (int i = 31; i >= 0; i--)
    {
       bool b1 = x & (1 << i);
       bool b2 = y & (1 << i);
        bool xoredBit = (b1 & b2) ? 0 : (b1 | b2);
        res <<= 1;
        res |= xoredBit;
    }
    return res;
}
int main()
{
    int t;
    int xi=0,yi=1,k;
    cin>>t;
    int ai[t],bi[t];
    for(int i=0;i<t;i++)
    {
        cin>>ai[i]>>bi[i];
        while(yi<ai[i])
        {
            k=ai[i]/myXOR(bi[i],yi);
            if(yi==k)
            {
                xi=myXOR(bi[i],yi);
                cout<<xi<<" "<<yi;
                break;
            }

            yi++;
        }
        yi=1;
    }
    return 0;
}